public class PWMlinks implements Runnable
{
     private ScheduledExecutorService schedExecService;      
     PWM pwm;
     
     public PWMlinks(PWM pwm)
     {
         this.pwm = pwm;
         schedExecService = Executors.newSingleThreadScheduledExecutor();
         schedExecService.scheduleAtFixedRate(this, 0, 12, TimeUnit.MILLISECONDS);        
     }
     
     //12 Millisekunden Zyklus.
     //5 Geschwindigkeitsstufen => PWM-Periode ist 60 Millisekunden lang
     int index=0;
     public void run()
     {
         if(index<pwm.plinksabs)
             JetsonMotor.enablelinks();
         else    
             JetsonMotor.disablelinks();  
         index++;
         if(index>pwm.STUFEN)
            index=0;
     }
}
